package com.ss.android.ugc.aweme.detail.operators;

import X.C2237Ap7;
import X.C3809BYn;
import X.C3810BYo;
import X.C3811BYp;
import X.C3812BYq;
import X.C3813BYr;
import X.C3814BYs;
import X.C3815BYt;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.IDetailPageOperatorService;
import java.util.HashMap;

public final class DetailPageOperatorServiceImpl implements IDetailPageOperatorService {
    static {
        Covode.recordClassIndex(63622);
    }

    public final HashMap<String, C2237Ap7> LIZ() {
        HashMap<String, C2237Ap7> hashMap = new HashMap<>();
        hashMap.put("from_time_line", new C3813BYr());
        hashMap.put("from_music_children_mode", new C3809BYn());
        hashMap.put("from_challenge_children_mode", new C3810BYo());
        hashMap.put("from_window_following", new C3814BYs());
        hashMap.put("from_chat", new C3815BYt());
        hashMap.put("from_no_request", new C3811BYp());
        hashMap.put("from_commerce_banner", new C3812BYq());
        return hashMap;
    }
}
